Description: Fix spelling error
Author: Sophie Brun <sophie@freexian.com>
Last-Update: 2016-04-18
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/docs/ncrack.1
+++ b/docs/ncrack.1
@@ -114,7 +114,7 @@ SERVICE SPECIFICATION:
     path <name>: used in modules like HTTP (\'=\' needs escaping if used)
 TIMING AND PERFORMANCE:
   Options which take <time> are in seconds, unless you append \'ms\'
-  (miliseconds), \'m\' (minutes), or \'h\' (hours) to the value (e\&.g\&. 30m)\&.
+  (milliseconds), \'m\' (minutes), or \'h\' (hours) to the value (e\&.g\&. 30m)\&.
   Service\-specific options:
     cl (min connection limit): minimum number of concurrent parallel connections
     CL (max connection limit): maximum number of concurrent parallel connections
@@ -233,7 +233,7 @@ rather than on the command line\&.
 .SH "SERVICE SPECIFICATION"
 .\" service specification
 .PP
-No cracking session can be carried out without targetting a certain service to attack\&. Service specification is one of the most flexible subsystems of Ncrack and collaborates with target\-specification in a way that allows different option combinations to be applied\&. For Ncrack to start running, you will have to specify at least one target host and one associated service to attack\&. Ncrack provides ways to specify a service by its default port number, by its name (as extracted from the
+No cracking session can be carried out without targeting a certain service to attack\&. Service specification is one of the most flexible subsystems of Ncrack and collaborates with target\-specification in a way that allows different option combinations to be applied\&. For Ncrack to start running, you will have to specify at least one target host and one associated service to attack\&. Ncrack provides ways to specify a service by its default port number, by its name (as extracted from the
 ncrack\-services
 file) or both\&. Normally, you need to define both name and port number only in the special case where you know that a particular service is listening on a non\-default port\&.
 .PP
@@ -313,7 +313,7 @@ option (see below for explanation)\&.
 .SH "SERVICE OPTIONS"
 .\" service options
 .PP
-Apart from general service specification, Ncrack allows you to provide a multitude of options that apply to each or a subset of your targets\&. Options include timing and performance optimizations (which are thoroughly analyzed in a seperate section), SSL enabling/disabling and other module\-specific parameters like the relative URL path for the HTTP module\&. Options can be defined in a variety of ways which include: per\-host options, per\-module options and global options\&. Since a combination of these options may be used, there is a strict hierarchy of precedence which will be discussed later\&.
+Apart from general service specification, Ncrack allows you to provide a multitude of options that apply to each or a subset of your targets\&. Options include timing and performance optimizations (which are thoroughly analyzed in a separate section), SSL enabling/disabling and other module\-specific parameters like the relative URL path for the HTTP module\&. Options can be defined in a variety of ways which include: per\-host options, per\-module options and global options\&. Since a combination of these options may be used, there is a strict hierarchy of precedence which will be discussed later\&.
 .PP
 \fBPer\-host Options\fR
 .PP
@@ -511,7 +511,7 @@ all do the same thing\&.
 
 \fBConnection Limit\fR
 .sp
-These options control the total number of connections that may be outstanding for any service at the same time\&. Normally, Ncrack tries to dynamically adjust the number of connections for each individual target by counting how many drops or connection failures happen\&. If a strange network condition occurs, that signifies that something may be going wrong, like the host dropping any new connection attempts, then Ncrack will immediately lower the total number of connections hitting the service\&. However, the caps number of the minimum or maximum connections that will take place can be overriden using these two options\&. By properly adjusting them, you can essentially optimize performance, if you can handle the tricky part of knowing or discovering your target\'s own limits\&. The convention here is that
+These options control the total number of connections that may be outstanding for any service at the same time\&. Normally, Ncrack tries to dynamically adjust the number of connections for each individual target by counting how many drops or connection failures happen\&. If a strange network condition occurs, that signifies that something may be going wrong, like the host dropping any new connection attempts, then Ncrack will immediately lower the total number of connections hitting the service\&. However, the caps number of the minimum or maximum connections that will take place can be overridden using these two options\&. By properly adjusting them, you can essentially optimize performance, if you can handle the tricky part of knowing or discovering your target\'s own limits\&. The convention here is that
 \fBcl\fR
 with lowercase letters is referring to the minimum connection limit, while
 \fBCL \fR
@@ -954,7 +954,7 @@ The SMB module currently works over raw
 \fBRDP Module \fR
 .PP
 .RS 4
-RDP (Remote Desktop Protocol) is a proprietary protocol developed by Microsoft for the purpose of providing remote terminal services by transfering graphics display information from the remote computer to the user and transporting input commands from the user to the remote computer\&. Fortunately, Microsoft recently decided to open the protocol\'s internal workings to the public and has provided official documentation, which can be found at
+RDP (Remote Desktop Protocol) is a proprietary protocol developed by Microsoft for the purpose of providing remote terminal services by transferring graphics display information from the remote computer to the user and transporting input commands from the user to the remote computer\&. Fortunately, Microsoft recently decided to open the protocol\'s internal workings to the public and has provided official documentation, which can be found at
 \m[blue]\fB\%http://msdn.microsoft.com/en-us/library/cc240445%28v=PROT.10%29.aspx\fR\m[]
 .sp
 RDP is one of the most complex protocols, requiring the exchange of many packets, even for just the authentication phase\&. For this reason, cracking it takes a lot of time and this is probably the slowest module\&. The connection phase is briefly described at
--- a/docs/ncrack.usage.txt
+++ b/docs/ncrack.usage.txt
@@ -22,7 +22,7 @@ SERVICE SPECIFICATION:
     path <name>: used in modules like HTTP ('=' needs escaping if used)
 TIMING AND PERFORMANCE:
   Options which take <time> are in seconds, unless you append 'ms'
-  (miliseconds), 'm' (minutes), or 'h' (hours) to the value (e.g. 30m).
+  (milliseconds), 'm' (minutes), or 'h' (hours) to the value (e.g. 30m).
   Service-specific options:
     cl (min connection limit): minimum number of concurrent parallel connections
     CL (max connection limit): maximum number of concurrent parallel connections
--- a/ncrack.cc
+++ b/ncrack.cc
@@ -244,7 +244,7 @@ print_usage(void)
            "used)\n"
       "TIMING AND PERFORMANCE:\n"
       "  Options which take <time> are in seconds, unless you append 'ms'\n"
-      "  (miliseconds), 'm' (minutes), or 'h' (hours) to the value (e.g. 30m)."
+      "  (milliseconds), 'm' (minutes), or 'h' (hours) to the value (e.g. 30m)."
       "\n"
       "  Service-specific options:\n"
       "    cl (min connection limit): minimum number of concurrent parallel "
